
use strict;
use warnings;

use Module::Build 0.3601;
use lib 'inc'; use My::Builder;

my %module_build_args = (
  "build_requires" => {
    "Cwd" => "3.30",
    "LWP::Online" => "1.07",
    "Module::Build" => "0.3601",
    "Module::Pluggable::Object" => "3.9",
    "Path::Class" => "0.19",
    "Test::BDD::Cucumber" => "0.04",
    "Test::Most" => "0.22",
    "Test::Spec" => "0.40",
    "autodie" => "2.06_01"
  },
  "configure_requires" => {
    "Module::Build" => "0.3601"
  },
  "dist_abstract" => "setup Tails persistent storage",
  "dist_author" => [
    "Tails developers <tails\@boum.org>"
  ],
  "dist_name" => "Tails-Persistence",
  "dist_version" => "0.27",
  "license" => "gpl",
  "module_name" => "Tails::Persistence",
  "recommends" => {},
  "recursive_test_files" => 1,
  "requires" => {
    "Carp" => "1.11",
    "Clone" => "0.31",
    "Encode" => 0,
    "Glib" => "1.223",
    "Gtk2" => "1.242",
    "I18N::Langinfo" => 0,
    "IPC::System::Simple" => "1.21",
    "List::MoreUtils" => "0.24",
    "List::Util" => 0,
    "Moose" => "1.09",
    "MooseX::Getopt" => "0.31",
    "MooseX::Has::Sugar" => "0.0405",
    "MooseX::Method::Signatures" => "0.35",
    "MooseX::Types" => "0.22",
    "MooseX::Types::Path::Class" => "0.05",
    "Net::DBus" => "v0.33.6",
    "Net::DBus::GLib" => "v0.33.0",
    "Number::Format" => "1.73",
    "Pango" => "1.221",
    "Path::Class" => "0.19",
    "Try::Tiny" => "0.04",
    "Unix::Mknod" => "0.04",
    "namespace::autoclean" => "0.09"
  },
  "script_files" => [
    "bin/tails-persistence-setup"
  ],
  "share_dir" => {
    "dist" => "share"
  }
);


my $build = My::Builder->new(%module_build_args);

$build->create_build_script;
